curl --request GET \
--url https://www.ruddr.io/api/workspace/companies/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/companies/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/companies/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/companies/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/companies/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/companies/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "a3f1c2d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"name": "Acme Corp",
"isActive": true,
"description": "Enterprise technology company.",
"billingAddress": "100 Market St, Suite 500, San Francisco, CA 94105",
"currency": "USD",
"facebookUrl": "https://facebook.com/acmecorp",
"linkedinUrl": "https://linkedin.com/company/acmecorp",
"twitterUrl": "https://twitter.com/acmecorp",
"websiteUrl": "https://acmecorp.com",
"numberOfEmployees": 5000,
"ownershipClass": "public",
"phoneNumber": "(555) 987-6543",
"revenue": 125000000,
"shippingAddress": "100 Market St, Suite 500, San Francisco, CA 94105",
"tickerSymbol": "ACME",
"yearFounded": 1985,
"createdAt": "2025-01-15T20:47:03.284Z",
"modifiedAt": "2025-01-15T20:47:03.284Z",
"companySpendTier": {
"id": "b4e2d3f5-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"name": "Enterprise"
},
"companyType": {
"id": "c5f3e4a6-7b8c-4d9e-0f1a-2b3c4d5e6f7a",
"name": "Customer"
},
"practice": {
"id": "d6a4f5b7-8c9d-4e0f-1a2b-3c4d5e6f7a8b",
"name": "Technology"
},
"businessUnit": {
"id": "3d4e5f6a-7b8c-4d9e-0f1a-2b3c4d5e6f7a",
"name": "North America"
},
"industry": {
"id": "e7b5a6c8-9d0e-4f1a-2b3c-4d5e6f7a8b9c",
"name": "Technology"
},
"owner": {
"id": "f8c6b7d9-0e1f-4a2b-3c4d-5e6f7a8b9c0d",
"name": "John Davis"
},
"sicCode": {
"id": "a9d7c8e0-1f2a-4b3c-4d5e-6f7a8b9c0d1e",
"code": "7372",
"industryTitle": "Prepackaged Software"
},
"salesforceId": "0011600001LtMCkAAN",
"hubspotId": "12345678"
}{
"status": 400,
"message": "Parameter 'id' is not a valid UUID."
}{
"status": 403,
"message": "Feature 'Pipeline' is not enabled."
}{
"status": 404,
"message": "Object with id 'a3f1c2d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d' not found."
}Get a company
curl --request GET \
--url https://www.ruddr.io/api/workspace/companies/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/companies/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/companies/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/companies/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/companies/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/companies/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "a3f1c2d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"name": "Acme Corp",
"isActive": true,
"description": "Enterprise technology company.",
"billingAddress": "100 Market St, Suite 500, San Francisco, CA 94105",
"currency": "USD",
"facebookUrl": "https://facebook.com/acmecorp",
"linkedinUrl": "https://linkedin.com/company/acmecorp",
"twitterUrl": "https://twitter.com/acmecorp",
"websiteUrl": "https://acmecorp.com",
"numberOfEmployees": 5000,
"ownershipClass": "public",
"phoneNumber": "(555) 987-6543",
"revenue": 125000000,
"shippingAddress": "100 Market St, Suite 500, San Francisco, CA 94105",
"tickerSymbol": "ACME",
"yearFounded": 1985,
"createdAt": "2025-01-15T20:47:03.284Z",
"modifiedAt": "2025-01-15T20:47:03.284Z",
"companySpendTier": {
"id": "b4e2d3f5-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"name": "Enterprise"
},
"companyType": {
"id": "c5f3e4a6-7b8c-4d9e-0f1a-2b3c4d5e6f7a",
"name": "Customer"
},
"practice": {
"id": "d6a4f5b7-8c9d-4e0f-1a2b-3c4d5e6f7a8b",
"name": "Technology"
},
"businessUnit": {
"id": "3d4e5f6a-7b8c-4d9e-0f1a-2b3c4d5e6f7a",
"name": "North America"
},
"industry": {
"id": "e7b5a6c8-9d0e-4f1a-2b3c-4d5e6f7a8b9c",
"name": "Technology"
},
"owner": {
"id": "f8c6b7d9-0e1f-4a2b-3c4d-5e6f7a8b9c0d",
"name": "John Davis"
},
"sicCode": {
"id": "a9d7c8e0-1f2a-4b3c-4d5e-6f7a8b9c0d1e",
"code": "7372",
"industryTitle": "Prepackaged Software"
},
"salesforceId": "0011600001LtMCkAAN",
"hubspotId": "12345678"
}{
"status": 400,
"message": "Parameter 'id' is not a valid UUID."
}{
"status": 403,
"message": "Feature 'Pipeline' is not enabled."
}{
"status": 404,
"message": "Object with id 'a3f1c2d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d' not found."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The company uuid
Response
200
The unique identifier for the object.
The name of the company.
Whether the company is active.
A description of the company.
The billing address of the company.
The three-letter currency code for the company.
The company's Facebook URL.
The company's LinkedIn URL.
The company's Twitter URL.
The company's website URL.
The number of employees.
The ownership classification of the company.
public, private, subsidiary, other, null The phone number of the company.
The annual revenue of the company.
The shipping address of the company.
The stock ticker symbol for the company.
The year the company was founded.
The timestamp when the object was created.
The timestamp when the object was last modified.
The company spend tier associated with this company.
Show child attributes
Show child attributes
The company type associated with this company.
Show child attributes
Show child attributes
The practice associated with this company.
Show child attributes
Show child attributes
The business unit associated with this company.
Show child attributes
Show child attributes
The industry associated with this company.
Show child attributes
Show child attributes
The workspace member who owns this company.
Show child attributes
Show child attributes
The Standard Industrial Classification (SIC) code associated with this company.
Show child attributes
Show child attributes
The Salesforce record ID for this company, if synced via Salesforce integration.
The HubSpot record ID for this company, if synced via HubSpot integration.